Subject: Re: boost, boost_unit_test_framework
From: Václav Haisman <[email-masked]>
To: Mattias Brändström <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Oct 2005 16:53:48 +0200

Well, it definitely doesn't work for me. I don't think I have in any way
non-standard Cygwin installation.

It would be helpful if you could download the -src package of Boost
using setup.exe, extract it and run the build-boost.sh script. Don't
forget to remove the --without-test line or make it into --with-test.

Vaclav Haisman

Mattias Brändström wrote:
> Václav Haisman wrote:
> 
>> Mattias Brändström wrote:
>>
>>> bjam -sTOOLS=gcc --with-test stage
>>>
>>> And that command produced the test libraries for me. The only difference
>>> from your libraries was that their extension was .lib instead of .a. How
>>> did you manage to get .a libraries? Is there any difference between .a
>>> and .lib in Cygwin?
>>
>>
>> Are you sure that you are using Cygwin's GCC? Or even any GCC? For me,
>> Boost produces only .a archives or .dlls.
>>
> 
> Yes, I am quite sure. I use a freshly installed Cygwin and I guess that
> the boost build scripts will compile with gcc if I compile the way I
> descibed above.
> 
>>> In what way is the test libraries broken under Cygwin?
>>
>>
>> Unless I add --without-test I get this error after which the whole build
>> process tops:
>>
>> unknown target type for
>> <@boost!libs!test!build>libboost_prg_exec_monitor.dll
>>
> 
> Have you tried to just compile the test libraries? If I remember
> correctly, building dynamic test libraries is indeed broken under Cygwin
> but static libraries should work.
> 
> :.:: mattias